## GstSystemClock

GstSystemClock — Default clock that uses the current system time

## Synopsis

    #include <gst/gst.h>

                GstSystemClock;
    GstClock*   gst_system_clock_obtain         (void);

## Description

The System clock is an implementation of GstClock using the system time.

## Details

### GstSystemClock

    typedef struct {
      GstClock 	 clock;

      GMutex *	 mutex;
      GCond *	 cond;

      gpointer _gst_reserved[GST_PADDING];
    } GstSystemClock;

### gst_system_clock_obtain ()

    GstClock*   gst_system_clock_obtain         (void);

Get a handle to the default system clock.

Returns : | the default clock.

## See Also

GstClock